import { ElementRef, Renderer2 } from '@angular/core';
import { Rectangle } from '../models/Rectangle.model';
import * as i0 from "@angular/core";
export declare class NgxWidgetResizerDirective {
    private el;
    private renderer;
    moveUpAllowed: boolean;
    moveDownAllowed: boolean;
    moveLeftAllowed: boolean;
    moveRightAllowed: boolean;
    parentContainer: any;
    startRender: any;
    gridPositions: Rectangle;
    delta: {
        top: number;
        right: number;
        bottom: number;
        left: number;
    };
    draggerOffset: {
        top: number;
        right: number;
        bottom: number;
        left: number;
    };
    startPosition: Rectangle;
    enableDrag: string;
    _resizeDirection: string;
    private _onMoveListener;
    private _onUpListener;
    widgetCmp: any;
    gridCmp: any;
    constructor(el: ElementRef, renderer: Renderer2);
    get resizeDirection(): string;
    set ngxWidgetResizer(dir: string);
    onDown(event: MouseEvent): void;
    onMove(event: MouseEvent): void;
    onUp(event: MouseEvent): void;
    findCollision(start: number, end: number, val: number, reverse?: boolean): boolean;
    determineFinalPos(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxWidgetResizerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxWidgetResizerDirective, "[ngxWidgetResizer]", never, { "widgetCmp": "widgetCmp"; "gridCmp": "gridCmp"; "ngxWidgetResizer": "ngxWidgetResizer"; }, {}, never, never, false, never>;
}
