import { ElementRef, Renderer2 } from '@angular/core';
import { Rectangle } from '../models/Rectangle.model';
import * as i0 from "@angular/core";
export interface RectanglePixels {
    top: number;
    left: number;
    height: number;
    width: number;
}
export declare class NgxWidgetMoverDirective {
    private el;
    private renderer;
    cellHeight: number;
    cellWidth: number;
    startRender: RectanglePixels;
    gridPositions: Rectangle;
    moverOffset: Rectangle;
    desiredPosition: any;
    startPosition: Rectangle;
    enableDrag: string;
    private _onMoveListener;
    private _onUpListener;
    ngxWidgetMover: boolean;
    widgetCmp: any;
    private gridCmp;
    constructor(el: ElementRef, renderer: Renderer2);
    onDown(event: MouseEvent): void;
    onMove(event: MouseEvent): void;
    onUp(event: MouseEvent): void;
    getAnchor(val: number, cellWOrH: number, marginFactor?: number): number;
    determineFinalPos(startPos: Rectangle, desiredPos: Rectangle, startRender: RectanglePixels, cellHt: number, cellWd: number): Rectangle;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxWidgetMoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxWidgetMoverDirective, "[ngxWidgetMover]", never, { "ngxWidgetMover": "ngxWidgetMover"; "widgetCmp": "widgetCmp"; "gridCmp": "gridCmp"; }, {}, never, never, false, never>;
}
